import { _decorator, Component, Node, dragonBones, assetManager } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('Main')
export class Main extends Component {


    start() {
        let display = this.node.getComponent(dragonBones.ArmatureDisplay)
        if (!display) {
            display = this.node.addComponent(dragonBones.ArmatureDisplay)
        }

        display.armatureName = "Armature"

        let skeJsonPath = `zhu1/zhu1_ske`
        let texJsonPath = `zhu1/zhu1_tex`

        let actionName = "newAnimation"

        assetManager.loadBundle("resources", (err, bundle) => {
            bundle.load(skeJsonPath, dragonBones.DragonBonesAsset, (err, dragonAsset: dragonBones.DragonBonesAsset) => {
                if (err) {
                    console.log("")
                    return
                }
                bundle.load(texJsonPath, dragonBones.DragonBonesAtlasAsset, (err, dragonAtlasAsset: dragonBones.DragonBonesAtlasAsset) => {
                    if (err) {
                        console.log("dragonAtlasAsset err:", err)
                        return display
                    }
                    if (display.node && display.node.parent) {
                        display.dragonAsset = dragonAsset
                        display.dragonAtlasAsset = dragonAtlasAsset

                        console.log('display.getAnimationNames()', display.getAnimationNames(display.armatureName))
                        display.playAnimation(actionName, -1)
                    }

                })
            })
        })
    }

    update(deltaTime: number) {

    }
}

